# std::experimental::shared_ptr::get

From cppreference.com
< cpp‎ | experimental‎ | shared ptr

element_type* get() const; |  | (library fundamentals TS)

Returns the stored pointer.

### Parameters

(none)

### Return value

The stored pointer.

### Exceptions

`noexcept` specification:
noexcept

### Notes

A `shared_ptr` may share ownership of an object while storing a pointer to another object. `get()` returns the stored pointer, not the managed pointer.

### Example

| This section is incomplete Reason: no example

### See also

operator*operator-> | dereferences the stored pointer (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/shared_ptr/get&oldid=91488"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template